* Fri Jan 20 2005 Dan Walsh <dwalsh@redhat.com> 1.21.1-3
- Don't change user componant if it is all that changed unless forced. - Change fixfiles to concatinate file_context.local for setfiles
This commit is contained in:
parent
b1d45be991
commit
a64186fd3d
@ -1,8 +1,6 @@
|
|||||||
Binary files nsapolicycoreutils/load_policy/load_policy and policycoreutils-1.21.1/load_policy/load_policy differ
|
|
||||||
Binary files nsapolicycoreutils/newrole/newrole and policycoreutils-1.21.1/newrole/newrole differ
|
|
||||||
diff --exclude-from=exclude -N -u -r nsapolicycoreutils/restorecon/restorecon.c policycoreutils-1.21.1/restorecon/restorecon.c
|
diff --exclude-from=exclude -N -u -r nsapolicycoreutils/restorecon/restorecon.c policycoreutils-1.21.1/restorecon/restorecon.c
|
||||||
--- nsapolicycoreutils/restorecon/restorecon.c 2005-01-20 15:59:21.000000000 -0500
|
--- nsapolicycoreutils/restorecon/restorecon.c 2005-01-20 15:59:21.000000000 -0500
|
||||||
+++ policycoreutils-1.21.1/restorecon/restorecon.c 2005-01-21 13:21:44.916873000 -0500
|
+++ policycoreutils-1.21.1/restorecon/restorecon.c 2005-01-21 13:55:19.371402000 -0500
|
||||||
@@ -50,15 +50,12 @@
|
@@ -50,15 +50,12 @@
|
||||||
static int only_changed_user(const char *a, const char *b)
|
static int only_changed_user(const char *a, const char *b)
|
||||||
{
|
{
|
||||||
@ -50,11 +48,33 @@ diff --exclude-from=exclude -N -u -r nsapolicycoreutils/restorecon/restorecon.c
|
|||||||
fprintf(stderr,"%s reset context %s:%s->%s\n",
|
fprintf(stderr,"%s reset context %s:%s->%s\n",
|
||||||
progname, filename, (retcontext >= 0 ? prev_context : ""), scontext);
|
progname, filename, (retcontext >= 0 ? prev_context : ""), scontext);
|
||||||
}
|
}
|
||||||
Binary files nsapolicycoreutils/run_init/run_init and policycoreutils-1.21.1/run_init/run_init differ
|
diff --exclude-from=exclude -N -u -r nsapolicycoreutils/scripts/fixfiles policycoreutils-1.21.1/scripts/fixfiles
|
||||||
Binary files nsapolicycoreutils/setfiles/setfiles and policycoreutils-1.21.1/setfiles/setfiles differ
|
--- nsapolicycoreutils/scripts/fixfiles 2005-01-20 15:59:21.000000000 -0500
|
||||||
|
+++ policycoreutils-1.21.1/scripts/fixfiles 2005-01-21 13:55:29.074689000 -0500
|
||||||
|
@@ -37,11 +37,19 @@
|
||||||
|
SELINUXTYPE="targeted"
|
||||||
|
if [ -e /etc/selinux/config ]; then
|
||||||
|
. /etc/selinux/config
|
||||||
|
- FC=/etc/selinux/${SELINUXTYPE}/contexts/files/file_contexts
|
||||||
|
+ FC=`mktemp /var/tmp/file_contexts.XXXXXX`
|
||||||
|
+ cat /etc/selinux/${SELINUXTYPE}/contexts/files/file_contexts /etc/selinux/${SELINUXTYPE}/contexts/files/file_contexts.local > $FC 2> /dev/null
|
||||||
|
else
|
||||||
|
FC=/etc/security/selinux/file_contexts
|
||||||
|
fi
|
||||||
|
|
||||||
|
+cleanup() {
|
||||||
|
+ if [ -e /etc/selinux/config -a -f "$FC" ]; then
|
||||||
|
+ rm -f $FC
|
||||||
|
+ fi
|
||||||
|
+}
|
||||||
|
+trap "cleanup" 0 1 2 3 13 15
|
||||||
|
+
|
||||||
|
#
|
||||||
|
# Log to either syslog or a LOGFILE
|
||||||
|
#
|
||||||
diff --exclude-from=exclude -N -u -r nsapolicycoreutils/setfiles/setfiles.c policycoreutils-1.21.1/setfiles/setfiles.c
|
diff --exclude-from=exclude -N -u -r nsapolicycoreutils/setfiles/setfiles.c policycoreutils-1.21.1/setfiles/setfiles.c
|
||||||
--- nsapolicycoreutils/setfiles/setfiles.c 2005-01-20 15:59:22.000000000 -0500
|
--- nsapolicycoreutils/setfiles/setfiles.c 2005-01-20 15:59:22.000000000 -0500
|
||||||
+++ policycoreutils-1.21.1/setfiles/setfiles.c 2005-01-21 13:21:14.438382000 -0500
|
+++ policycoreutils-1.21.1/setfiles/setfiles.c 2005-01-21 13:55:19.386387000 -0500
|
||||||
@@ -583,13 +583,12 @@
|
@@ -583,13 +583,12 @@
|
||||||
static int only_changed_user(const char *a, const char *b)
|
static int only_changed_user(const char *a, const char *b)
|
||||||
{
|
{
|
||||||
@ -124,4 +144,3 @@ diff --exclude-from=exclude -N -u -r nsapolicycoreutils/setfiles/setfiles.c poli
|
|||||||
return 0;
|
return 0;
|
||||||
|
|
||||||
/*
|
/*
|
||||||
Binary files nsapolicycoreutils/setfiles/setfiles.o and policycoreutils-1.21.1/setfiles/setfiles.o differ
|
|
||||||
|
@ -1,7 +1,7 @@
|
|||||||
Summary: SELinux policy core utilities.
|
Summary: SELinux policy core utilities.
|
||||||
Name: policycoreutils
|
Name: policycoreutils
|
||||||
Version: 1.21.1
|
Version: 1.21.1
|
||||||
Release: 2
|
Release: 3
|
||||||
License: GPL
|
License: GPL
|
||||||
Group: System Environment/Base
|
Group: System Environment/Base
|
||||||
Source: http://www.nsa.gov/selinux/archives/policycoreutils-%{version}.tgz
|
Source: http://www.nsa.gov/selinux/archives/policycoreutils-%{version}.tgz
|
||||||
@ -76,8 +76,9 @@ rm -rf ${RPM_BUILD_ROOT}
|
|||||||
|
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
* Fri Jan 20 2005 Dan Walsh <dwalsh@redhat.com> 1.21.1-2
|
* Fri Jan 20 2005 Dan Walsh <dwalsh@redhat.com> 1.21.1-3
|
||||||
- Don't change user componant if it is all that changed unless forced.
|
- Don't change user componant if it is all that changed unless forced.
|
||||||
|
- Change fixfiles to concatinate file_context.local for setfiles
|
||||||
|
|
||||||
* Thu Jan 20 2005 Dan Walsh <dwalsh@redhat.com> 1.21.1-1
|
* Thu Jan 20 2005 Dan Walsh <dwalsh@redhat.com> 1.21.1-1
|
||||||
- Update to latest from NSA
|
- Update to latest from NSA
|
||||||
|
Loading…
Reference in New Issue
Block a user